Name: fetch-crl
Version: 3.0.22
Release:    1%{?dist}.1
Summary: Downloads Certificate Revocation Lists

License: ASL 2.0
URL: https://wiki.nikhef.nl/grid/FetchCRL3
Source0: https://dist.eugridpma.info/distribution/util/fetch-crl3/fetch-crl-%{version}.tar.gz

Source1: fetch-crl.service
Source2: fetch-crl.timer

BuildArch: noarch

Requires: openssl

Requires: perl(LWP::Protocol::https)

Requires(post):   systemd
Requires(preun):  systemd
Requires(postun): systemd
BuildRequires:    perl-generators
BuildRequires:    systemd
BuildRequires: make

%description
This tool and associated timer entry ensure that Certificate Revocation
Lists (CRLs) are periodically retrieved from the web sites of the respective
Certification Authorities.
It assumes that the installed CA files follow the hash.crl_url convention.

%prep
%setup -q
cp -p %{SOURCE1} fetch-crl.service
cp -p %{SOURCE2} fetch-crl.timer

cat << \EOF > %{name}-req
%{__perl_requires} $* |\
sed -e '/perl(CRL)/d' |\
sed -e '/perl(CRLWriter)/d' |\
sed -e '/perl(ConfigTiny)/d' |\
sed -e '/perl(FCLog)/d' |\
sed -e '/perl(OSSL)/d' |\
sed -e '/perl(TrustAnchor)/d' |\
sed -e '/perl(base64)/d'
EOF

%global __perl_requires %{_builddir}/fetch-crl-%{version}/%{name}-req
chmod +x %{__perl_requires}

%build

%install
make install PREFIX=%{buildroot}%{_usr} ETC=%{buildroot}%{_sysconfdir} CACHE=%{buildroot}%{_var}/cache
mkdir -p %{buildroot}%{_sysconfdir}/%{name}.d
mkdir -p %{buildroot}%{_sysconfdir}/grid-security/certificates

mkdir -p %{buildroot}%{_unitdir}
install -p -m 644  %{name}.service %{buildroot}%{_unitdir}/%{name}.service
install -p -m 644  %{name}.timer %{buildroot}%{_unitdir}/%{name}.timer

rm -rf %{buildroot}%{_defaultdocdir}/%{name}-%{version}

%post
%systemd_post %{name}.timer

%preun
%systemd_preun %{name}.timer

%postun
%systemd_postun_with_restart %{name}.timer

%files
%{_sbindir}/%{name}
%{_sbindir}/clean-crl
%{_unitdir}/%{name}.service
%{_unitdir}/%{name}.timer
%dir %{_var}/cache/%{name}
%dir %{_sysconfdir}/grid-security
%dir %{_sysconfdir}/grid-security/certificates
%dir %{_sysconfdir}/%{name}.d
%doc %{_mandir}/man8/%{name}.8.gz
%doc %{_mandir}/man8/clean-crl.8.gz
%doc CHANGES NOTICE README fetch-crl.cnf.example
%config(noreplace) %{_sysconfdir}/%{name}.conf
%license LICENSE

%changelog
* Thu Sep 05 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.22-1.1
- delete irrelevant keywords

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.22-1
- initial build
